Search documentation of phoenix_kit

# PhoenixKit.PubSub.Manager (phoenix_kit v1.6.19)

View Source

PubSub Manager for PhoenixKit admin live updates.

Manages its own PubSub system independent of parent applications. Automatically starts when needed and provides simple broadcast/subscribe API.

# Summary

## Functions

broadcast(topic, message)

Broadcasts a message to a topic.

child_spec(init_arg)

Returns a specification to start this module under a supervisor.

start_link(opts \\ [])

Starts the PubSub manager.

subscribe(topic)

Subscribes to a topic.

unsubscribe(topic)

Unsubscribes from a topic.

# Functions

# broadcast(topic, message)

Broadcasts a message to a topic.

# child_spec(init_arg)

Returns a specification to start this module under a supervisor.

See `Supervisor`.

# start_link(opts \\ [])

Starts the PubSub manager.

# subscribe(topic)

Subscribes to a topic.

# unsubscribe(topic)

Unsubscribes from a topic.